Subject: [bug#63707] [PATCH] gnu: Add font-ipa.

From: wolf <[email-masked]>
Date: Sun, 2 Jul 2023 20:10:48 +0200

On 2023-07-01 12:23:34 +0200, Nicolas Goaziou wrote:
> Hello,
> 
> Wolf <[email-masked]> writes:
> 
> > * gnu/packages/fonts.scm (font-ipa): New variable.
> 
> Applied with the changes below. Thank you.

Thank you for merging it.

> > ---
> > +    (build-system font-build-system)
> > +    (arguments
> > +     (list #:phases #~(modify-phases %standard-phases
> > +                        (add-after 'unpack 'make-read-only
> 
> I fixed indentation, which consumes way too much horizontal space here.
> 
> > +                        (add-after 'install 'install-doc
> > +                          (lambda* (#:key outputs #:allow-other-keys)
> 
> outputs argument is not necessary when using G-expressions. You don't
> use it either in your phases.

I admit I just copied over the package for font-ipa-ex and adjusted it, not
realizing that this part is not necessary.

> 
> > +    (description "Japanese outline fonts by Information-technology Promotion
> > +Agency, Japan (IPA)")
> 
> The description should consist of full sentences:
> 
>   "These package provides Japanese outline fonts..."

Will keep that in mind.

> Regards,
> -- 
> Nicolas Goaziou

Have a nice day,
W.

-- 
There are only two hard things in Computer Science:
cache invalidation, naming things and off-by-one errors.